.nav-btn {
  background-image: url(../images/menu_icon.svg);
  background-repeat: no-repeat;
  width: 24px;
  height: 18px;
}

.nav-btn_close {
  background-image: url(../images/nav-btn_close.svg) !important;
}

.fixed-body {
  height: 100vh;
  overflow-y: hidden;
  overflow-x: hidden;
}

.active-menu {
  left: 0 !important;
  visibility: visible !important;
  transition: left 0.5s;
  padding-left: 40px;
  z-index: 10;
}

@media (max-width: 992px) {
  .type-of-tour > div {
    width: 49px !important;
    height: 36px !important;
    left: -5px !important;
  }
}

.header-icons__item_ls {
  position: relative;
  list-style: none;
  padding: 0;
  margin: 0 auto;

  & #menu-language-switcher {
    list-style: none;
  }

  & .wpml-ls-current-language {
    & > a > img {
      position: absolute;
      top: 0;
      bottom: 0;
      right: 0;
      left: 0;
      margin: auto;
    }
  }

  .sub-menu {
    background: $blue;
    position: absolute;
    left: -12px;
    display: none;
    opacity: 0;
    visibility: hidden;
    list-style: none;
    top: 35px;
    padding: 35px 0 10px;
    width: 48px;
    border-radius: 12px;

    & > .menu-item {
      padding: 0 0 10px 12px;
    }
  }

  &:hover {
    border-radius: 100% 100% 0 0 !important;

    & .sub-menu {
      display: block;
      opacity: 1;
      visibility: visible;
    }
  }
}

.banner {
  & .container {
    display: flex;
    background: $blue;
    justify-content: space-between;
    align-items: center;
    padding: 13px 22px;
    box-shadow: $boxShadow;
    position: relative;

    & .brand {
      background-image: url(../images/header-logo-mob.svg);
      background-repeat: no-repeat;
      height: 33px;
      width: 29px;
      flex-grow: 1;
    }

    & .header-icons {
      display: flex;
      align-items: center;
      margin-right: 29px;

      &__item,
      .header-icons__item_ls {
        margin-right: 20px;
        border-radius: 100%;

        & > img {
          vertical-align: middle;
          height: 24px;
          width: 24px;
        }

        &:nth-last-of-type(2) {
          border: 2px solid $white;
          height: 24px;
          width: 24px;
        }

        &:last-of-type {
          margin-right: 0;
        }
      }
    }

    @media (max-width: 992px) {
      & .nav-primary {
        position: absolute;
        top: 59px;
        right: 0;
        height: 100vh;
        background: $menuBlue;
        visibility: hidden;
        transition: right 0.5s;
        overflow-y: auto;

        & .menu {
          list-style: none;
          padding: 0;
          margin-top: 36px;

          & .menu-item,
          & .dropdown {
            padding-bottom: 25px;

            & > a {
              text-decoration: none;
              color: $white;
              font-size: 14px;
              font-weight: 700;
              letter-spacing: -0.06px;
              line-height: 20px;
            }

            & .dropdown-toggle {
              position: relative;
              padding: 0 49px 9px 2px;

              &::before {
                content: "";
                position: absolute;
                background-image: url(../images/menu-arrow.svg);
                width: 11px;
                height: 7px;
                right: -10px;
                top: 25%;
              }
            }

            & > .dropdown-menu {
              list-style: none;
              width: 150px;
              padding: 0;
              padding-left: 30px;
              display: none;
              margin: 38px 0 0;

              & > .dropdown {
                padding-bottom: 25px;
                padding-left: 42px;
                box-sizing: border-box;
                position: relative;

                & > div {
                  position: absolute;
                  top: 0;
                  left: 0;
                  width: 30px;
                  height: 30px;
                }

                & > a {
                  font-size: 12px;
                  font-weight: 200;
                  display: block;
                  letter-spacing: -0.05px;
                  text-transform: uppercase;
                  position: relative;

                  &::before {
                    content: "";
                    position: absolute;
                    background-image: url(../images/menu-arrow.svg);
                    width: 11px;
                    height: 7px;
                    left: 120px;
                    top: 25%;
                  }
                }

                &:last-of-type {
                  padding-bottom: 0;
                }

                & > .dropdown-menu {
                  margin: 23px 0 0;
                  padding: 0;

                  & .menu-item {
                    padding-left: 0;
                    padding-bottom: 20px;

                    & a {
                      font-weight: 200;
                      text-transform: none;
                    }
                  }
                }
              }
            }
          }
        }
      }

      .find-tour-btn {
        display: none;
      }
    }
  }

  .underline {
    &::before,
    &_sub::before {
      background-image: url(../images/menu-arrow-up.svg) !important;
    }

    &::after {
      content: "";
      display: block;
      position: absolute;
      left: 0;
      height: 6px;
      width: 100%;
      box-shadow: 0 7px 14px rgba(232, 160, 53, 0.33);
      border-radius: 4px;
      background-image: $btnOrange;
      bottom: -7px;
    }
  }
}

@media (min-width: 992px) {
  .nav-btn {
    display: none;
  }

  .header-icons__item_ls {
    & .sub-menu {
      background: $lightBlue;
      left: 0;
    }
  }

  .banner {
    margin-bottom: 64px;

    & .container {
      display: flex;
      background: $blue;
      justify-content: space-between;
      align-items: center;
      padding: 0 33px;
      box-shadow: $boxShadow;

      & .brand {
        background-image: url(../images/header-logo.svg);
        background-repeat: no-repeat;
        height: 35px;
        width: 166px;
        flex-grow: 0;
      }

      & .header-icons {
        display: flex;
        margin-right: 0;

        &__item,
        .header-icons__item_ls {
          background: $lightBlue;
          height: 48px;
          width: 48px;
          position: relative;

          &:nth-last-of-type(2) {
            border: none;
            background: $lightBlue;
            height: 48px;
            width: 48px;
          }

          & > img {
            position: absolute;
            margin: auto;
            top: 0;
            bottom: 0;
            right: 0;
            left: 0;
          }
        }
      }

      & .nav-primary {
        & .menu {
          display: flex;
          list-style: none;
          margin: 0;
          padding-left: 0;
          /* stylelint-disable */

          & > .menu-item {
            position: relative;
            padding: 0 25px;

            &::after {
              display: block;
              position: absolute;
              content: "";
              width: 0;
              height: 6px;
              box-shadow: 0 7px 14px rgba(232, 160, 53, 0.33);
              border-radius: 4px;
              background-image: $btnOrange;
              bottom: 15px;
              left: 0;
              transition: width 0.3s;
            }

            &:hover {
              &::after {
                width: 100%;
              }

              & > a + .dropdown-menu {
                display: flex !important;
              }
            }

            &:last-of-type {
              margin-right: 0;
            }

            & > a {
              color: $white;
              font-size: 14px;
              font-weight: 700;
              letter-spacing: -0.06px;
              line-height: 20px;
              text-decoration: none;
              display: block;
              padding: 30px 0;

              & + .dropdown-menu {
                display: none;
                list-style: none;
                position: absolute;
                background: $menuBlue;
                z-index: 10;
                flex-wrap: wrap;
                width: 900px;
                padding: 23px 90px;
                left: -100%;
                box-sizing: border-box;

                & > .menu-item {
                  box-sizing: border-box;
                  position: relative;
                  padding-left: 80px;
                  margin-bottom: 42px;

                  &:first-of-type {
                    margin-right: 55px;
                    width: 217px;
                  }

                  &:nth-of-type(2) {
                    margin-right: 116px;
                    width: 138px;
                  }

                  &:nth-of-type(3) {
                    width: 193px;
                  }

                  &:nth-of-type(4) {
                    width: 169px;
                    margin-right: 102px;
                  }

                  &:nth-of-type(5) {
                    width: 199px;
                    margin-right: 56px;
                  }

                  & > .dropdown-menu {
                    display: block !important;
                  }

                  & > div {
                    position: absolute;
                    left: 0;
                    top: 10px;
                    box-sizing: border-box;
                    width: 62px;
                    height: 62px;
                    background: $menuBlueIcons;
                    border-radius: 100%;
                    border: 8px solid $menuBlueIconsBorder;

                    & > img {
                      position: absolute;
                      margin: auto;
                      top: 0;
                      bottom: 0;
                      right: 0;
                      left: 0;
                    }
                  }

                  & > a {
                    color: $white;
                    font-size: 12px;
                    font-weight: 700;
                    letter-spacing: -0.05px;
                    line-height: 20px;
                    text-decoration: none;
                    text-transform: uppercase;

                    &:hover {
                      color: $footerHover;
                    }
                  }
                }

                & .find-tour-btn {
                  margin: 0 0 43px auto;
                  width: auto;

                  & > a {
                    padding: 21px 48px;
                    box-shadow: $btnShadow;
                    border-radius: 27px;
                    background-image: $btnOrange;
                    font-size: 14px;
                    letter-spacing: 1px;
                    transition: background-image 0.3s;
                    outline: none;

                    &:focus {
                      box-shadow: 0 0 2px 2px #92a8d1;
                    }

                    &:hover {
                      color: $white;
                      background-image: $btnOrangeHover;
                    }
                  }
                }

                & > .dropdown > .dropdown-menu {
                  list-style: none;
                  padding-left: 0;
                  margin-top: 2px;

                  & > .menu-item {
                    margin-bottom: 8px;

                    & > a {
                      color: $white;
                      font-size: 14px;
                      font-weight: 200;
                      letter-spacing: -0.06px;
                      line-height: 20px;
                      text-decoration: none;

                      &:hover {
                        color: $footerHover;
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
